Subject: [TR] Mitty Weekend

From: marty sukey <[email-masked]>
Date: Thu, 3 May 2012 13:06:56 -0400

Just returned from the Mitty at Road Atlanta. A truly fantastic event.
Numerous folks from the list stopped by to say hey in the paddock, it was so
good to see you all again.  Next years Triumph race is going to be at Road
America in Elkhart Lake WI. Should be a blast also. I was unfortunate enough
to launch a piston out of the side of my block during the first practice
session but we still had a great time.  Hope to salvage the head and camshaft.
Guess I'll be on the hunt for another small journal 1296 between now and Road
America. :)

Marty

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]